/**
 * \file
 *
 * \brief Empty user application template
 *
 */

/**
 * \mainpage User Application template doxygen documentation
 *
 * \par Empty user application template
 *
 * Bare minimum empty user application template
 *
 * \par Content
 *
 * -# Include the ASF header files (through asf.h)
 * -# Minimal main function that starts with a call to system_init()
 * -# "Insert application code here" comment
 *
 */

/*
 * Include header files for all drivers that have been imported from
 * Atmel Software Framework (ASF).
 */
/*
 * Support and FAQ: visit <a href="https://www.microchip.com/support/">Microchip Support</a>
 */
#include <asf.h>

#define LED (1 << 14) // define LED pin

int main(void) {
	SYSCTRL->OSC8M.bit.PRESC = 0; // set OSC8M clock prescaler to 1
	REG_PORT_DIR0 |= LED; // set LED pin to output
	while (1) {
		REG_PORT_OUT0 |= LED; // turn on LED
		delay_ms(1000); // delay
		REG_PORT_OUT0 &= ~LED; // turn off LED
		delay_ms(1000); // delay
	}
}